Skip to main content
POST
/
cards
/
virtual-cards
/
{cardId}
/
deposit-wallet
/
rotate
curl -X POST "https://api.cryptomate.me/cards/virtual-cards/card_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23/deposit-wallet/rotate" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
{
  "address": "0xabcdefabcdefabcdefabcdefabcdefabcdefabcd",
  "blockchain": "POLYGON",
  "tokens": ["USDC", "USDT"],
  "ramps": []
}
Creates a new deposit wallet for the card and logically deletes the previous one. Only applicable to TOP_UP cards. Requires an API key with access level 2 or higher.

Path parameters

cardId
string
required
Card identifier.

Response

address
string
Wallet address for deposits.
blockchain
string
Blockchain network for the wallet.
tokens
array
List of supported tokens for deposits.
ramps
array
List of ramp providers for this wallet.
curl -X POST "https://api.cryptomate.me/cards/virtual-cards/card_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23/deposit-wallet/rotate" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
{
  "address": "0xabcdefabcdefabcdefabcdefabcdefabcdefabcd",
  "blockchain": "POLYGON",
  "tokens": ["USDC", "USDT"],
  "ramps": []
}